/*************************************************************************
 *
 *  OpenOffice.org - a multi-platform office productivity suite
 *
 *  $RCSfile: ooxtokens.hxx,v $
 *
 *  $Revision: 1.1.2.18 $
 *
 *  last change: $Author: dr $ $Date: 2007/12/04 13:52:46 $
 *
 *  The Contents of this file are made available subject to
 *  the terms of GNU Lesser General Public License Version 2.1.
 *
 *
 *    GNU Lesser General Public License Version 2.1
 *    =============================================
 *    Copyright 2005 by Sun Microsystems, Inc.
 *    901 San Antonio Road, Palo Alto, CA 94303, USA
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License version 2.1, as published by the Free Software Foundation.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *    MA  02111-1307  USA
 *
 ************************************************************************/

#ifndef OOX_XLS_OOXTOKENS_HXX
#define OOX_XLS_OOXTOKENS_HXX

#include "tokens.hxx"
#include "oox/core/namespaces.hxx"

#define R_TOKEN( token )            (::oox::core::NMSP_RELATIONSHIPS | XML_##token)
#define XML_TOKEN( token )          (::oox::core::NMSP_XML | XML_##token)
#define XLS_TOKEN( token )          (::oox::core::NMSP_EXCEL | XML_##token)
#define DML_TOKEN( token )          (::oox::core::NMSP_DRAWINGML | XML_##token)

namespace oox {
namespace xls {

// ============================================================================

const sal_Int32 XML_ROOT_CONTEXT            = SAL_MAX_INT32;

const sal_Int32 OOBIN_ID_ARRAY              = 0x01AA;
const sal_Int32 OOBIN_ID_BOOKVIEWS          = 0x0087;
const sal_Int32 OOBIN_ID_BORDER             = 0x002E;
const sal_Int32 OOBIN_ID_BORDERS            = 0x0265;
const sal_Int32 OOBIN_ID_BRK                = 0x018C;
const sal_Int32 OOBIN_ID_CALCPR             = 0x009D;
const sal_Int32 OOBIN_ID_CELL_BLANK         = 0x0001;
const sal_Int32 OOBIN_ID_CELL_BOOL          = 0x0004;
const sal_Int32 OOBIN_ID_CELL_DOUBLE        = 0x0005;
const sal_Int32 OOBIN_ID_CELL_ERROR         = 0x0003;
const sal_Int32 OOBIN_ID_CELL_RK            = 0x0002;
const sal_Int32 OOBIN_ID_CELL_RSTRING       = 0x003E;
const sal_Int32 OOBIN_ID_CELL_SI            = 0x0007;
const sal_Int32 OOBIN_ID_CELL_STRING        = 0x0006;
const sal_Int32 OOBIN_ID_CELLSTYLE          = 0x0030;
const sal_Int32 OOBIN_ID_CELLSTYLES         = 0x026B;
const sal_Int32 OOBIN_ID_CELLSTYLEXFS       = 0x0272;
const sal_Int32 OOBIN_ID_CELLXFS            = 0x0269;
const sal_Int32 OOBIN_ID_CFCOLOR            = 0x0234;
const sal_Int32 OOBIN_ID_CFRULE             = 0x01CF;
const sal_Int32 OOBIN_ID_COL                = 0x003C;
const sal_Int32 OOBIN_ID_COLBREAKS          = 0x018A;
const sal_Int32 OOBIN_ID_COLOR              = 0x023C;
const sal_Int32 OOBIN_ID_COLORS             = 0x01D9;
const sal_Int32 OOBIN_ID_COLORSCALE         = 0x01D5;
const sal_Int32 OOBIN_ID_COLS               = 0x0186;
const sal_Int32 OOBIN_ID_CONDFORMATTING     = 0x01CD;
const sal_Int32 OOBIN_ID_DATABAR            = 0x01D3;
const sal_Int32 OOBIN_ID_DATATABLE          = 0x01AC;
const sal_Int32 OOBIN_ID_DATAVALIDATION     = 0x0040;
const sal_Int32 OOBIN_ID_DATAVALIDATIONS    = 0x023D;
const sal_Int32 OOBIN_ID_DDEITEMVALUES      = 0x0242;
const sal_Int32 OOBIN_ID_DDEITEM_BOOL       = 0x0248;
const sal_Int32 OOBIN_ID_DDEITEM_DOUBLE     = 0x0244;
const sal_Int32 OOBIN_ID_DDEITEM_ERROR      = 0x0245;
const sal_Int32 OOBIN_ID_DDEITEM_STRING     = 0x0246;
const sal_Int32 OOBIN_ID_DEFINEDNAME        = 0x0027;
const sal_Int32 OOBIN_ID_DIMENSION          = 0x0094;
const sal_Int32 OOBIN_ID_DXF                = 0x01FB;
const sal_Int32 OOBIN_ID_DXFS               = 0x01F9;
const sal_Int32 OOBIN_ID_EXTCELL_BOOL       = 0x0171;
const sal_Int32 OOBIN_ID_EXTCELL_DOUBLE     = 0x0170;
const sal_Int32 OOBIN_ID_EXTCELL_ERROR      = 0x0172;
const sal_Int32 OOBIN_ID_EXTCELL_STRING     = 0x0173;
const sal_Int32 OOBIN_ID_EXTERNALBOOK       = 0x0168;
const sal_Int32 OOBIN_ID_EXTERNALNAME       = 0x0241;
const sal_Int32 OOBIN_ID_EXTERNALREF        = 0x0163;
const sal_Int32 OOBIN_ID_EXTERNALREFS       = 0x0161;
const sal_Int32 OOBIN_ID_EXTERNALSELF       = 0x0165;
const sal_Int32 OOBIN_ID_EXTERNALSHEETS     = 0x016A;
const sal_Int32 OOBIN_ID_EXTROW             = 0x016E;
const sal_Int32 OOBIN_ID_EXTSHEETDATA       = 0x016B;
const sal_Int32 OOBIN_ID_EXTERNALNAMEFLAGS  = 0x024A;
const sal_Int32 OOBIN_ID_EXTSHEETNAMES      = 0x0167;
const sal_Int32 OOBIN_ID_FILEVERSION        = 0x0080;
const sal_Int32 OOBIN_ID_FILL               = 0x002D;
const sal_Int32 OOBIN_ID_FILLS              = 0x025B;
const sal_Int32 OOBIN_ID_FONT               = 0x002B;
const sal_Int32 OOBIN_ID_FONTS              = 0x0263;
const sal_Int32 OOBIN_ID_FORMULA_STRING     = 0x0008;
const sal_Int32 OOBIN_ID_FORMULA_DOUBLE     = 0x0009;
const sal_Int32 OOBIN_ID_FORMULA_BOOL       = 0x000A;
const sal_Int32 OOBIN_ID_FORMULA_ERROR      = 0x000B;
const sal_Int32 OOBIN_ID_HEADERFOOTER       = 0x01DF;
const sal_Int32 OOBIN_ID_HYPERLINK          = 0x01EE;
const sal_Int32 OOBIN_ID_ICONSET            = 0x01D1;
const sal_Int32 OOBIN_ID_INDEXEDCOLORS      = 0x0235;
const sal_Int32 OOBIN_ID_MERGECELL          = 0x00B0;
const sal_Int32 OOBIN_ID_MERGECELLS         = 0x00B1;
const sal_Int32 OOBIN_ID_MRUCOLORS          = 0x0239;
const sal_Int32 OOBIN_ID_NUMFMT             = 0x002C;
const sal_Int32 OOBIN_ID_NUMFMTS            = 0x0267;
const sal_Int32 OOBIN_ID_PAGEMARGINS        = 0x01DC;
const sal_Int32 OOBIN_ID_PAGESETUP          = 0x01DE;
const sal_Int32 OOBIN_ID_PANE               = 0x0097;
const sal_Int32 OOBIN_ID_PHONETICPR         = 0x0219;
const sal_Int32 OOBIN_ID_PRINTOPTIONS       = 0x01DD;
const sal_Int32 OOBIN_ID_RGBCOLOR           = 0x01DB;
const sal_Int32 OOBIN_ID_ROW                = 0x0000;
const sal_Int32 OOBIN_ID_ROWBREAKS          = 0x0188;
const sal_Int32 OOBIN_ID_SELECTION          = 0x0098;
const sal_Int32 OOBIN_ID_SHAREDFMLA         = 0x01AB;
const sal_Int32 OOBIN_ID_SHEET              = 0x009C;
const sal_Int32 OOBIN_ID_SHEETDATA          = 0x0091;
const sal_Int32 OOBIN_ID_SHEETDATASET       = 0x024B;
const sal_Int32 OOBIN_ID_SHEETFORMATPR      = 0x01E5;
const sal_Int32 OOBIN_ID_SHEETPR            = 0x0093;
const sal_Int32 OOBIN_ID_SHEETPROTECTION    = 0x0217;
const sal_Int32 OOBIN_ID_SHEETS             = 0x008F;
const sal_Int32 OOBIN_ID_SHEETVIEW          = 0x0089;
const sal_Int32 OOBIN_ID_SHEETVIEWS         = 0x0085;
const sal_Int32 OOBIN_ID_SI                 = 0x0013;
const sal_Int32 OOBIN_ID_SST                = 0x009F;
const sal_Int32 OOBIN_ID_STYLESHEET         = 0x0116;
const sal_Int32 OOBIN_ID_TABLE              = 0x0157;
const sal_Int32 OOBIN_ID_TABLEPART          = 0x0295;
const sal_Int32 OOBIN_ID_TABLEPARTS         = 0x0294;
const sal_Int32 OOBIN_ID_TABLESTYLEINFO     = 0x0201;
const sal_Int32 OOBIN_ID_TABLESTYLES        = 0x01FC;
const sal_Int32 OOBIN_ID_VOLTYPE            = 0x0204;
const sal_Int32 OOBIN_ID_VOLTYPEMAIN        = 0x0206;
const sal_Int32 OOBIN_ID_VOLTYPES           = 0x0202;
const sal_Int32 OOBIN_ID_VOLTYPESTP         = 0x020A;
const sal_Int32 OOBIN_ID_VOLTYPETR          = 0x020B;
const sal_Int32 OOBIN_ID_WORKBOOK           = 0x0083;
const sal_Int32 OOBIN_ID_WORKBOOKPR         = 0x0099;
const sal_Int32 OOBIN_ID_WORKBOOKVIEW       = 0x009E;
const sal_Int32 OOBIN_ID_WORKSHEET          = 0x0081;
const sal_Int32 OOBIN_ID_XF                 = 0x002F;

// ============================================================================

} // namespace xls
} // namespace oox

#endif

