/*************************************************************************
 *
 *  OpenOffice.org - a multi-platform office productivity suite
 *
 *  $RCSfile: color.cxx,v $
 *
 *  $Revision: 1.1.2.1 $
 *
 *  last change: $Author: sj $ $Date: 2007/10/11 15:01:01 $
 *
 *  The Contents of this file are made available subject to
 *  the terms of GNU Lesser General Public License Version 2.1.
 *
 *
 *    GNU Lesser General Public License Version 2.1
 *    =============================================
 *    Copyright 2005 by Sun Microsystems, Inc.
 *    901 San Antonio Road, Palo Alto, CA 94303, USA
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License version 2.1, as published by the Free Software Foundation.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *    MA  02111-1307  USA
 *
 ************************************************************************/

#include "oox/drawingml/color.hxx"
#include "oox/core/namespaces.hxx"
#include "tokens.hxx"

using namespace ::oox::core;

namespace oox { namespace drawingml {

Color::Color()
: mnColor( 0 )
, mnAlpha( 0 )
, mbUsed( sal_False )
, mbSchemeColor( sal_False )
, mbAlphaColor( sal_False )
{
}
Color::~Color()
{
}
sal_Int32 Color::getColor( const oox::core::XmlFilterBase& rFilterBase ) const
{
	return mbSchemeColor ? rFilterBase.getSchemeClr( mnColor ) : mnColor;
}
sal_Int32 Color::getAlpha() const
{
	return mnAlpha;
}

} }
